from flask import Flask

from .config import ContactSettings


def create_app(config: ContactSettings = None):
    app = Flask("htmx_contact")

    app.config.from_object(config if config else ContactSettings())

    from . import main

    app.register_blueprint(main.bp)

    return app
