from flask import Blueprint
from flask import redirect
from flask import render_template

bp = Blueprint("main", __name__, url_prefix="/")


@bp.route("/", methods=["GET"])
def index():
    return redirect("/contacts")


@bp.route("/contacts", methods=["GET"])
def contacts():
    return render_template("contacts.html", message="Hello HTMX")
